/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _ABOUT_H
#define _ABOUT_H

#include "world.h"
#include "memo.h"

/*!
 * \file
 */

/*!
 * \brief Escena `acerca de ...` con informacin sobre el juego y los 
 * desarrolladores
 */
typedef struct about_t
{
	World * world;
	Memo * memo;
} About;


About * about_init (World * world);
void about_draw_background (About * data);
void about_update (About * data);
void about_draw (About * data);
void about_free (About * data);

#endif
