/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _MAIN_MENU_H
#define _MAIN_MENU_H

/*!
 * \file
 */

#include "common.h"
#include "world.h"
#include "menu.h"


/*!
 * \brief Gestiona la escena `Menu`, donde el usuario puede elegir entre
 * iniciar un nuevo juego, alterar las opciones del programa, salir etc.
 */
typedef struct main_menu_t
{
	Menu * menu;
	World * world;
} Main_menu;


Main_menu * main_menu_init (World * world, int initial_option);
void main_menu_draw_background (Main_menu * data);
void main_menu_update (Main_menu * data);
void main_menu_draw (Main_menu * data);
void main_menu_free (Main_menu * data);

#endif
