/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _OPTION_MENU_H
#define _OPTION_MENU_H

#include "common.h"
#include "world.h"
#include "menu.h"

/*!
 * \file
 */

/*!
 * \brief Escena men
 */
typedef struct option_menu_t
{
	World * world;
	Menu * menu;
} Option_menu;

Option_menu * option_menu_init (World * world);
void option_menu_draw_background (Option_menu * data);
void option_menu_update (Option_menu * data);
void option_exit (Option_menu * data);
void option_menu_draw (Option_menu * data);
void option_menu_free (Option_menu * data);
void option_menu_handle_screen_options (Option_menu * data);

#endif
