/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#include "options.h"
#include "common.h"


/*!
 * \brief Inicia el mdulo Options
 * \return el mdulo creado o termina el programa en caso de error
 */
Options * options_init (void)
{
	Options * data;

	data = (Options *) malloc (sizeof (Options));

	if (! data)
	{
		util_print_fail_module ("Options");
		exit (1);
	}

	data->fullscreen = FALSE;
	data->debug = FALSE;
	data->audio_enabled = TRUE;
	data->fps = 100;

	return data;
}


/*!
 * \brief Libera el mdulo
 * \param data mdulo principal
 */
void options_free (Options * data)
{
	free (data);
}

