/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _OPTIONS_H
#define _OPTIONS_H

/*!
 * \file
 */


/*!
 * \brief Parmetros de configuracin almacenados en el mdulo World
 *
 * World utilizar los valores de cada miembro de la estructura para
 * inicializar escenas o intercambiar atributos.
 */
typedef struct Options
{
	int fullscreen;
	int debug;
	int fps;
	int audio_enabled;
} Options;


Options * options_init (void);
void options_free (Options * data);


#endif
