/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _PLAYER_IA_H
#define _PLAYER_IA_H

#include "common.h"
#include "player.h"

#define PLAYER_AI_WANT_MOVE_DELTA 10
#define AI_DISTANCE_TO_PUNCH_FAR 40
#define AI_DISTANCE_TO_PUNCH_NOT_FAR 20
#define AI_MIN 10


/*#define debug_trace(X,F) printf("%s: call to -> %s\n", X->nick, F)*/
#define debug_trace(X,F) ;

/* Estados */
void player_ai_init_start (Player * data);
void player_ai_state_start (Player * data);
void player_ai_init_run_to_best_place_to_start (Player * data);
void player_ai_state_run_to_best_place_to_start (Player * data);
void player_ai_init_jump (Player * data);
void player_ai_state_jump (Player * data);
void player_ai_init_waiting_other_player (Player * data);
void player_ai_state_waiting_other_player (Player * data);
void player_ai_init_waiting_receive (Player * data);
void player_ai_state_waiting_receive (Player * data);

/* Cambio de estados rpido */
void player_ai_do_start (Player * data);
void player_ai_do_run_to_best_place_to_start (Player * data);
void player_ai_do_start_game_jumping (Player * data);
void player_ai_do_waiting_receive (Player * data);
void player_ai_do_waiting_other_player (Player * data);
void player_ai_do_jump (Player * data);

/* Verificaciones */
int player_ai_ball_are_in_my_side (Player * data);
int player_ai_get_middle_of_side (Player * data);
int player_ai_ball_come_to_this_side (Player * data);
int player_ai_get_side (Player * data);

/* Cambios de posicin */
int player_ai_move_to (Player * data, int x, int delta);
int player_ai_move_to_best_place_to_punch (Player * data);
int player_ai_move_to_best_place_to_start (Player * data);
int player_ai_move_to_middle (Player * data);
int player_ai_get_y_distance_to_ball (Player * data);
int player_ai_get_x_distance_to_ball (Player * data);

#endif
