/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _PLAYER_CONTROL_H
#define _PLAYER_CONTROL_H

#include "control.h"

/*!
 * \file
 */



/*!
 * \brief identifica cada evento de tecla producido por el usuario
 */
enum player_key {
	UP,		/*! < saltar */
	DOWN,		/*! < bajar */
	LEFT,		/*! < izquierda */
	RIGHT,		/*! < derecha */
	SELECT,		/*! < selecciona */
};

/*!
 * \brief gestiona los controles de un personaje del juego
 */
typedef struct player_control_t
{
	Control * control;		/*! < controlador general */
	int player;			/*! < indice del control (0 | 1) */
	enum player_key last_key;
} Player_control;


Player_control * player_control_init (Control * control, int player);
void player_control_free (Player_control * data);
int player_control_query (Player_control * data, enum player_key key);
int player_control_query_no_repeat (Player_control * data, enum player_key key);

#endif
