/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _POINTER_H
#define _POINTER_H

#include "common.h"
#include "display.h"

/*!
 * \file
 */

/*!
 * \brief representa el puntero que seala la opcin actual en un men
 */
typedef struct pointer_t
{
	int x;
	int y;
	int end_y;
	int step;
	SDL_Surface * image;
	Display * display;
} Pointer;

Pointer * pointer_new (int x, int y, int end_y, Display * display);
void pointer_update (Pointer * data);
void pointer_draw (Pointer * data);
void pointer_change (Pointer * data, int end_y);
void pointer_set_y (Pointer * data, int y);
void pointer_free (Pointer * data);

#endif
