/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _SELECT_H
#define _SELECT_H

#include "game.h"
#include "characters.h"

/*!
 * \file
 */

#include "common.h"
#include "world.h"
#include "cursor.h"

/*!
 * \brief Gestiona la escena `select` donde el usuario selecciona uno o dos
 * personajes para comenzar el juego.
 */
typedef struct select_t
{
	int vs_mode;
	World * world;
	Cursor * cursor_1;
} Select;

Select * select_init (World * world);
void select_draw_background (Select * data);
void select_draw_characters (Select * data);
void select_update (Select * data);
void select_draw (Select * data);
void select_free (Select * data);
void select_init_game (Select * data);
void select_return_to_main (Select * data, int active_entry);

#endif
