/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#include "select_demo.h"

Select_demo * select_demo_init (World * world)
{
	Select_demo * data;

	data = (Select_demo *) malloc (sizeof (Select_demo));

	if (! data)
	{
		util_print_fail_module ("Select_demo");
		exit (1);
	}

	data->world = world;
	
	
	return data;
}


void select_demo_init_game (Select_demo * data)
{
	Game * game;
	Player * p1 = characters_get_random_player (data->world->characters);
	Player * p2 = NULL;
	
	do
	{
		p2 = characters_get_random_player (data->world->characters);
	}
	while (p2 == p1);
	
	player_set_ai_control (p1);
	player_set_ai_control (p2);
	
	game = game_init (data->world, p1, p2);

	world_change_scene (data->world, game, game_update, game_draw, 
			game_free);
}

void select_demo_free (Select_demo * data)
{
	free (data);
}


void select_demo_update (Select_demo * data)
{
	select_demo_init_game (data);
}

void select_demo_draw (Select_demo * data)
{
}
