/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _SELECT_VS_H
#define _SELECT_VS_H

/*!
 * \file
 */

#include "common.h"
#include "world.h"
#include "cursor.h"

/*!
 * \brief Gestiona la escena `select` donde el usuario selecciona uno o dos
 * personajes para comenzar el juego.
 */
typedef struct select_vs_t
{
	int vs_mode;
	World * world;
	Cursor * cursor_1;
	Cursor * cursor_2;
} Select_vs;

Select_vs * select_vs_init (World * world);
void select_vs_update (Select_vs * data);
void select_vs_draw (Select_vs * data);
void select_vs_free (Select_vs * data);
void select_vs_init_game (Select_vs * data);

#endif
