/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */


#ifndef _STATUS_BAR_H
#define _STATUS_BAR_H

#include "common.h"
#include "world.h"
#include "text.h"

/*!
 * \brief Barra superior de informacin acerca del partido en curso, muestra
 * el puntaje de los personajes y el tiempo de juego
 */
typedef struct status_bar_t
{
	World * world;
	Text * text_score_player_1;
	Text * text_score_player_2;
	int score_player_1;		/*!< puntaje del jugador 1 */
	int score_player_2;		/*!< puntaje del jugador 2 */
	int time;
	int last_tick;
} Status_bar;


Status_bar * status_bar_init (World * data);
void status_bar_update (Status_bar * data);
void status_bar_draw (Status_bar * data, Display * display);
void status_bar_free (Status_bar * data);
void status_bar_goal (Status_bar * data, int player);

#endif
