/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _TEXT_H
#define _TEXT_H

#include "common.h"
#include "display.h"
#include "font.h"

/*!
 * \brief Una cadena de texto que se puede alterar
 *
 * Se utiliza para representar el puntaje de los personajes y otras opciones
 */
typedef struct text_t
{
	char text [256];
	int x;
	int y;
	int visual_x;
	int visual_y;
	float motion;
	float step;
	enum align align;
	Font * font;
} Text;

Text * text_init (Font * font, char * text, int x, int y, enum align align);
void text_update (Text * data);
void text_draw (Text * data, Display * display);
void text_change_text (Text * data, char * text, int new_motion);
void text_free (Text * data);

#endif
