/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _UTIL_H
#define _UTIL_H

/*!
 * \file
 */

#include "common.h"
#include "SDL.h"

/*!
 * \brief Compara 2 rectngulos y retorna 1 si se pueden unir
 */
#define util_compare_two_rects(X,Y) (X->x == Y->x)? (X->y == Y->y)? (X->w == Y->w)? (X->h == Y->h)? 1 : 0 : 0 : 0 : 0

void util_print_fail_module (char * module_name);
SDL_Surface * util_load_image (const char * file, int with_alpha);
void util_print_welcome (void);
void util_print_help (const char * program);
int util_file_exist (char * base_dir, char * name);
int util_directory_exist (char * path);
void util_remove_breakline (char * buffer);
void util_remove_spaces (char * buffer);
Uint32 util_get_pixel (SDL_Surface * ima, int x, int y);
void util_put_pixel (SDL_Surface * ima, int x, int y, Uint32 color);

void util_draw_circle (SDL_Surface * ima, Uint32 color, int x, int y, int r);
int util_is_collision (int x0, int y0, int x1, int y1, int ratio_sum);
float util_get_angle (int x0, int y0, int x1, int y1);
int util_get_distance (int x0, int y0, int x1, int y1);
int util_include_value (int value, int left_value, int right_value);
int util_rand (int a, int b);
void util_start_rand (void);

#endif
